Package Details: uplink-hib 1.6_1-9

Git Clone URL: https://aur.archlinux.org/uplink-hib.git (read-only)
Package Base: uplink-hib
Description: A futuristic computer crime game (requires uplink from Humble Bundle)
Upstream URL: http://www.introversion.co.uk/uplink
Licenses: custom
Conflicts: uplink
Submitter: JazzplayerL9
Maintainer: ejona86
Last Packager: ejona86
Votes: 17
Popularity: 0.000000
First Submitted: 2011-11-28 03:28
Last Updated: 2016-11-29 05:45

Latest Comments

ejona86 commented on 2016-11-29 05:47

libtiff3 was removed from AUR, so now including the .so in this package. You'll want to uninstall libtiff3/4 gotten from the AUR, installing libtiff4 from community if you need the dependency.

ejona86 commented on 2016-10-29 18:18

libtiff3 is required. libtiff4 could work with a hack, but libtiff3 is what this package really needs. I don't see any way that libtiff could be the dependency.

kamiljk87 commented on 2016-10-13 04:51

Pls update:

-pkgrel=7
+pkgrel=8
-depends=('mesa' 'libjpeg6' 'sdl_mixer' 'libtiff3' 'freetype2')
+depends=('mesa' 'libjpeg6-turbo' 'sdl_mixer' 'libtiff' 'freetype2')

ainola commented on 2014-10-22 13:25

Hi! libjpeg6 is not maintained any more. Please change dependencies to use libjpeg6-turbo instead.

ejona86 commented on 2012-12-07 03:05

@flamusdiu: Revision 7 should work better for you. I need to fix/remove some of the dependencies, but it should be better than it was.

ejona86 commented on 2012-12-07 02:33

@flamusdiu: Did you get an error concerning libmikmod.so.2? It looks like mikmod got upgraded to version 3, and thus the dependency is missing. I'll have to update things.

flamusdiu commented on 2012-12-03 18:41

Strange, to get this to work, I had to copy the libs from ${srcdir}/uplink-x64/lib64 to /usr/lib/

It seems the package may not have been made properly.

JazzplayerL9 commented on 2012-02-16 16:33

Really hate to do this...but I'm orphaning this package because I have it installed through Desura/Steam. Whoever picks it up, feel free to contact me if you need some maintenance help.

JazzplayerL9 commented on 2011-12-01 16:18

1.6_1-5

Added check in $srcdir for existing source download so it won't try to overwrite. Mostly for people that keep the same build directories.

@poltak,
regarding your issues, try executing uplink from a terminal with something to the effect of this to put it in a windowed mode:

uplink -graphics_fullscreen '!graphics_screenwidth' 1024 '!graphics_screenheight' 768

and set the width and height to whatever you want it to be to fit on your screen right. OR...you can try this:

uplink +graphics_safemode

Anonymous comment on 2011-12-01 13:51

Great to see this. Anyway, built fine on my laptop, although the game is not playing as it should~ the right side of the screen is not responsive (you can see everything, you just can't click it), which is rather annoying when it comes to actually playing (and then quitting after realising I can't play). Also, the backgrounds are not showing. It is just a static black background behind all the writing, buttons and windows.

Anyway, have you, or anyone using this package, experienced this problem?

All comments